Name:          python-dslib
Version:       3.1
Release:       11%{?dist}
Summary:       A Python library for accessing Czech Databox (Datové schránky)
Group:         Development/Libraries
License:       LGPLv2+
URL:           http://labs.nic.cz/datove-schranky/
Source0:       http://www.nic.cz/public_media/datove_schranky/releases/src/dslib-%{version}.tar.gz
BuildArch:     noarch

BuildRequires: python2-devel

%global _description\
dslib is a Python library for accessing a 'Databox' - an electronic\
communication interface endorsed by the Czech government.

%description %_description

%package -n python2-dslib
Summary: %summary
Requires:      python2-pyOpenSSL, python2-pyasn1, python2-sudsds
%{?python_provide:%python_provide python2-dslib}

%description -n python2-dslib %_description

%prep
%setup -q -n dslib-%{version}

%build
%py2_build

%install
%py2_install

# Remove wrongly installed documents, they will be correctly installed later
rm -f %{buildroot}%{_datadir}/dslib/{README,LICENSE.txt}


%files -n python2-dslib
%doc LICENSE.txt README.txt
%{python2_sitelib}/*
%{_datadir}/dslib

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 25 2018 Iryna Shcherbina <ishcherb@redhat.com> - 3.1-9
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Tue Aug 22 2017 Iryna Shcherbina <ishcherb@redhat.com> - 3.1-8
- Add a build-time dependency on python2-devel and modernize spec file

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.1-7
- Python 2 binary package renamed to python2-dslib
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Sep 18 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 3.1-1
- New version
  Related: rhbz#1142899

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Dec 19 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 3.0-1
- New version

* Mon Sep 17 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 2.1.2-2
- Do not remove datadir/dslib directory

* Wed Sep 05 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 2.1.2-1
- Initial version
